org.springframework.web.reactive.function.client

## Interface WebClient.RequestHeadersUriSpec<S extends WebClient.RequestHeadersSpec<S>>

Type Parameters:
  `S` - a self reference to the spec type

All Superinterfaces:
  WebClient.RequestHeadersSpec<S>, WebClient.UriSpec<S>

All Known Subinterfaces:
  WebClient.RequestBodyUriSpec

Enclosing interface:
  WebClient

    public static interface WebClient.RequestHeadersUriSpec<S extends WebClient.RequestHeadersSpec<S>>
    extends WebClient.UriSpec<S>, WebClient.RequestHeadersSpec<S>

Contract for specifying request headers and URI for a request.

### Method Summary

### Methods inherited from interface org.springframework.web.reactive.function.client.WebClient.UriSpec

`uri, uri, uri, uri, uri`

### Methods inherited from interface org.springframework.web.reactive.function.client.WebClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, header, headers, ifModifiedSince, ifNoneMatch, retrieve`